Upstream information

CVE-2022-24790 at MITRE

Description

Puma is a simple, fast, multi-threaded, parallel HTTP 1.1 server for Ruby/Rack applications. When using Puma behind a proxy that does not properly validate that the incoming HTTP request matches the RFC7230 standard, Puma and the frontend proxy may disagree on where a request starts and ends. This would allow requests to be smuggled via the front-end proxy to Puma. The vulnerability has been fixed in 5.6.4 and 4.3.12. Users are advised to upgrade as soon as possible. Workaround: when deploying a proxy in front of Puma, turning on any and all functionality to make sure that the request matches the RFC7230 standard.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact High High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1197818 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion OpenStack 8
  • ardana-ansible >= 8.0+git.1660773729.3789a6d-3.85.1
  • ardana-cobbler >= 8.0+git.1660773402.d845a45-3.47.1
  • grafana >= 6.7.4-4.23.1
  • openstack-heat-templates >= 0.0.0+git.1654529662.75fa04a-3.27.1
  • openstack-murano >= 4.0.2~dev3-3.12.1
  • openstack-murano-api >= 4.0.2~dev3-3.12.1
  • openstack-murano-doc >= 4.0.2~dev3-3.12.1
  • openstack-murano-engine >= 4.0.2~dev3-3.12.1
  • python-Django >= 1.11.29-3.42.1
  • python-murano >= 4.0.2~dev3-3.12.1
  • rabbitmq-server >= 3.6.16-3.13.1
  • rabbitmq-server-plugins >= 3.6.16-3.13.1
  • venv-openstack-heat-x86_64 >= 9.0.8~dev22-12.45.1
  • venv-openstack-horizon-hpe-x86_64 >= 12.0.5~dev6-14.48.1
  • venv-openstack-murano-x86_64 >= 4.0.2~dev3-12.38.1
Patchnames:
HPE-Helion-OpenStack-8-2022-3338
Image SLES15-SP1-SAP-Azure-LI-BYOS-Production
Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP2-SAP-Azure
Image SLES15-SP2-SAP-Azure-LI-BYOS-Production
Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP2-SAP-BYOS-Azure
Image SLES15-SP2-SAP-BYOS-EC2-HVM
Image SLES15-SP2-SAP-BYOS-GCE
Image SLES15-SP2-SAP-EC2-HVM
Image SLES15-SP2-SAP-GCE
Image SLES15-SP3-SAP-Azure-LI-BYOS-Production
Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP3-SAP-BYOS-Azure
Image SLES15-SP3-SAP-BYOS-EC2-HVM
Image SLES15-SP3-SAP-BYOS-GCE
Image SLES15-SP4-SAP-Azure-LI-BYOS
Image SLES15-SP4-SAP-Azure-LI-BYOS-Production
Image SLES15-SP4-SAP-Azure-VLI-BYOS
Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP4-SAP-BYOS
Image SLES15-SP4-SAP-BYOS-Azure
Image SLES15-SP4-SAP-BYOS-EC2
Image SLES15-SP4-SAP-BYOS-GCE
Image SLES15-SP4-SAP-Hardened-BYOS
Image SLES15-SP4-SAP-Hardened-BYOS-Azure
Image SLES15-SP4-SAP-Hardened-BYOS-EC2
Image SLES15-SP4-SAP-Hardened-BYOS-GCE
  • ruby2.5-rubygem-puma >= 4.3.12-150000.3.9.1
SUSE Linux Enterprise High Availability Extension 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • ruby2.5-rubygem-puma >= 4.3.12-150000.3.9.1
Patchnames:
SUSE-SLE-Product-HA-15-SP1-2022-3571
SUSE Linux Enterprise High Availability Extension 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • ruby2.5-rubygem-puma >= 4.3.12-150000.3.9.1
Patchnames:
SUSE-SLE-Product-HA-15-SP2-2022-3571
SUSE Linux Enterprise High Availability Extension 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • ruby2.5-rubygem-puma >= 4.3.12-150000.3.9.1
Patchnames:
SUSE-SLE-Product-HA-15-SP3-2022-3571
SUSE Linux Enterprise High Availability Extension 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • ruby2.5-rubygem-puma >= 4.3.12-150000.3.9.1
Patchnames:
SUSE-SLE-Product-HA-15-SP4-2022-3571
SUSE Linux Enterprise High Availability Extension 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • ruby2.5-rubygem-puma >= 4.3.12-150000.3.9.1
Patchnames:
SUSE-SLE-Product-HA-15-2022-3571
SUSE OpenStack Cloud 8
  • ardana-ansible >= 8.0+git.1660773729.3789a6d-3.85.1
  • ardana-cobbler >= 8.0+git.1660773402.d845a45-3.47.1
  • grafana >= 6.7.4-4.23.1
  • openstack-heat-templates >= 0.0.0+git.1654529662.75fa04a-3.27.1
  • openstack-murano >= 4.0.2~dev3-3.12.1
  • openstack-murano-api >= 4.0.2~dev3-3.12.1
  • openstack-murano-doc >= 4.0.2~dev3-3.12.1
  • openstack-murano-engine >= 4.0.2~dev3-3.12.1
  • python-Django >= 1.11.29-3.42.1
  • python-murano >= 4.0.2~dev3-3.12.1
  • rabbitmq-server >= 3.6.16-3.13.1
  • rabbitmq-server-plugins >= 3.6.16-3.13.1
  • venv-openstack-heat-x86_64 >= 9.0.8~dev22-12.45.1
  • venv-openstack-horizon-x86_64 >= 12.0.5~dev6-14.48.1
  • venv-openstack-murano-x86_64 >= 4.0.2~dev3-12.38.1
Patchnames:
SUSE-OpenStack-Cloud-8-2022-3338
SUSE OpenStack Cloud 9
  • ardana-ansible >= 9.0+git.1660748476.c118d23-3.32.1
  • ardana-cobbler >= 9.0+git.1660747489.119efcd-3.19.1
  • ardana-tempest >= 9.0+git.1651855288.a2341ad-3.22.1
  • grafana >= 6.7.4-3.29.1
  • openstack-heat-templates >= 0.0.0+git.1654529662.75fa04a7-3.15.1
  • openstack-horizon-plugin-gbp-ui >= 14.0.1~dev4-3.12.1
  • openstack-neutron-gbp >= 14.0.1~dev46-3.34.1
  • openstack-nova >= 18.3.1~dev92-3.43.1
  • openstack-nova-api >= 18.3.1~dev92-3.43.1
  • openstack-nova-cells >= 18.3.1~dev92-3.43.1
  • openstack-nova-compute >= 18.3.1~dev92-3.43.1
  • openstack-nova-conductor >= 18.3.1~dev92-3.43.1
  • openstack-nova-console >= 18.3.1~dev92-3.43.1
  • openstack-nova-novncproxy >= 18.3.1~dev92-3.43.1
  • openstack-nova-placement-api >= 18.3.1~dev92-3.43.1
  • openstack-nova-scheduler >= 18.3.1~dev92-3.43.1
  • openstack-nova-serialproxy >= 18.3.1~dev92-3.43.1
  • openstack-nova-vncproxy >= 18.3.1~dev92-3.43.1
  • python-Django1 >= 1.11.29-3.40.1
  • python-horizon-plugin-gbp-ui >= 14.0.1~dev4-3.12.1
  • python-neutron-gbp >= 14.0.1~dev46-3.34.1
  • python-nova >= 18.3.1~dev92-3.43.1
  • rabbitmq-server >= 3.6.16-4.3.1
  • rabbitmq-server-plugins >= 3.6.16-4.3.1
  • venv-openstack-heat-x86_64 >= 11.0.4~dev4-3.37.1
  • venv-openstack-horizon-x86_64 >= 14.1.1~dev11-4.41.1
  • venv-openstack-neutron-x86_64 >= 13.0.8~dev206-6.41.1
  • venv-openstack-nova-x86_64 >= 18.3.1~dev92-3.41.1
Patchnames:
SUSE-OpenStack-Cloud-9-2022-3339
SUSE OpenStack Cloud Crowbar 8
  • grafana >= 6.7.4-4.23.1
  • openstack-heat-templates >= 0.0.0+git.1654529662.75fa04a-3.27.1
  • openstack-murano >= 4.0.2~dev3-3.12.1
  • openstack-murano-api >= 4.0.2~dev3-3.12.1
  • openstack-murano-doc >= 4.0.2~dev3-3.12.1
  • openstack-murano-engine >= 4.0.2~dev3-3.12.1
  • python-Django >= 1.11.29-3.42.1
  • python-murano >= 4.0.2~dev3-3.12.1
  • rabbitmq-server >= 3.6.16-3.13.1
  • rabbitmq-server-plugins >= 3.6.16-3.13.1
  • ruby2.1-rubygem-puma >= 2.16.0-3.18.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2022-3338
SUSE OpenStack Cloud Crowbar 9
  • grafana >= 6.7.4-3.29.1
  • openstack-heat-templates >= 0.0.0+git.1654529662.75fa04a7-3.15.1
  • openstack-horizon-plugin-gbp-ui >= 14.0.1~dev4-3.12.1
  • openstack-neutron-gbp >= 14.0.1~dev46-3.34.1
  • openstack-nova >= 18.3.1~dev92-3.43.1
  • openstack-nova-api >= 18.3.1~dev92-3.43.1
  • openstack-nova-cells >= 18.3.1~dev92-3.43.1
  • openstack-nova-compute >= 18.3.1~dev92-3.43.1
  • openstack-nova-conductor >= 18.3.1~dev92-3.43.1
  • openstack-nova-console >= 18.3.1~dev92-3.43.1
  • openstack-nova-novncproxy >= 18.3.1~dev92-3.43.1
  • openstack-nova-placement-api >= 18.3.1~dev92-3.43.1
  • openstack-nova-scheduler >= 18.3.1~dev92-3.43.1
  • openstack-nova-serialproxy >= 18.3.1~dev92-3.43.1
  • openstack-nova-vncproxy >= 18.3.1~dev92-3.43.1
  • python-Django1 >= 1.11.29-3.40.1
  • python-horizon-plugin-gbp-ui >= 14.0.1~dev4-3.12.1
  • python-neutron-gbp >= 14.0.1~dev46-3.34.1
  • python-nova >= 18.3.1~dev92-3.43.1
  • rabbitmq-server >= 3.6.16-4.3.1
  • rabbitmq-server-plugins >= 3.6.16-4.3.1
  • ruby2.1-rubygem-puma >= 2.16.0-4.18.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-3339
openSUSE Leap 15.3
  • ruby2.5-rubygem-puma >= 4.3.12-150000.3.9.1
  • ruby2.5-rubygem-puma-doc >= 4.3.12-150000.3.9.1
Patchnames:
openSUSE-SLE-15.3-2022-3571
openSUSE Leap 15.4
  • ruby2.5-rubygem-puma >= 4.3.12-150000.3.9.1
  • ruby2.5-rubygem-puma-doc >= 4.3.12-150000.3.9.1
Patchnames:
openSUSE-SLE-15.4-2022-3571
openSUSE Tumbleweed
  • ruby3.1-rubygem-puma-4 >= 4.3.12-1.1
  • ruby3.1-rubygem-puma-5 >= 5.6.5-1.1
Patchnames:
openSUSE Tumbleweed GA ruby3.1-rubygem-puma-4-4.3.12-1.1
openSUSE Tumbleweed GA ruby3.1-rubygem-puma-5-5.6.5-1.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Availability Extension 15 SP4 rubygem-puma Released
SUSE Linux Enterprise High Performance Computing 15 SP4 rubygem-puma Released
SUSE Linux Enterprise Server 15 SP4 rubygem-puma Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rubygem-puma Released
SUSE Manager Proxy 4.2 rubygem-puma Released
SUSE Manager Proxy 4.3 rubygem-puma Released
SUSE Manager Retail Branch Server 4.2 rubygem-puma Released
SUSE Manager Retail Branch Server 4.3 rubygem-puma Released
SUSE Manager Server 4.2 rubygem-puma Released
SUSE Manager Server 4.3 rubygem-puma Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Availability Extension 15 SP1 rubygem-puma Released
SUSE Linux Enterprise High Availability Extension 15 SP2 rubygem-puma Released
SUSE Linux Enterprise High Availability Extension 15 SP3 rubygem-puma Released
SUSE Linux Enterprise High Performance Computing 15 rubygem-puma Released
SUSE Linux Enterprise High Performance Computing 15 SP1 rubygem-puma Released
SUSE Linux Enterprise High Performance Computing 15 SP2 rubygem-puma Released
SUSE Linux Enterprise High Performance Computing 15 SP3 rubygem-puma Released
SUSE Linux Enterprise Server 15 SP1 rubygem-puma Released
SUSE Linux Enterprise Server 15 SP2 rubygem-puma Released
SUSE Linux Enterprise Server 15 SP3 rubygem-puma Released
SUSE Linux Enterprise Server for SAP Applications 15 rubygem-puma Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 rubygem-puma Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 rubygem-puma Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rubygem-puma Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 ardana-ansible Released
HPE Helion OpenStack 8 ardana-cobbler Released
HPE Helion OpenStack 8 grafana Released
HPE Helion OpenStack 8 openstack-heat-templates Released
HPE Helion OpenStack 8 openstack-murano Released
HPE Helion OpenStack 8 openstack-murano-doc Released
HPE Helion OpenStack 8 python-Django Released
HPE Helion OpenStack 8 rabbitmq-server Released
HPE Helion OpenStack 8 venv-openstack-heat Released
HPE Helion OpenStack 8 venv-openstack-horizon-hpe Released
HPE Helion OpenStack 8 venv-openstack-murano Released
SUSE Linux Enterprise High Availability Extension 15 rubygem-puma Released
SUSE Linux Enterprise Server 15 rubygem-puma Released
SUSE Manager Proxy 4.0 rubygem-puma Released
SUSE Manager Proxy 4.1 rubygem-puma Released
SUSE Manager Retail Branch Server 4.0 rubygem-puma Released
SUSE Manager Retail Branch Server 4.1 rubygem-puma Released
SUSE Manager Server 4.0 rubygem-puma Released
SUSE Manager Server 4.1 rubygem-puma Released
SUSE OpenStack Cloud 8 ardana-ansible Released
SUSE OpenStack Cloud 8 ardana-cobbler Released
SUSE OpenStack Cloud 8 grafana Released
SUSE OpenStack Cloud 8 openstack-heat-templates Released
SUSE OpenStack Cloud 8 openstack-murano Released
SUSE OpenStack Cloud 8 openstack-murano-doc Released
SUSE OpenStack Cloud 8 python-Django Released
SUSE OpenStack Cloud 8 rabbitmq-server Released
SUSE OpenStack Cloud 8 venv-openstack-heat Released
SUSE OpenStack Cloud 8 venv-openstack-horizon Released
SUSE OpenStack Cloud 8 venv-openstack-murano Released
SUSE OpenStack Cloud 9 ardana-ansible Released
SUSE OpenStack Cloud 9 ardana-cobbler Released
SUSE OpenStack Cloud 9 ardana-tempest Released
SUSE OpenStack Cloud 9 grafana Released
SUSE OpenStack Cloud 9 openstack-heat-templates Released
SUSE OpenStack Cloud 9 openstack-horizon-plugin-gbp-ui Released
SUSE OpenStack Cloud 9 openstack-neutron-gbp Released
SUSE OpenStack Cloud 9 openstack-nova Released
SUSE OpenStack Cloud 9 python-Django1 Released
SUSE OpenStack Cloud 9 rabbitmq-server Released
SUSE OpenStack Cloud 9 venv-openstack-heat Released
SUSE OpenStack Cloud 9 venv-openstack-horizon Released
SUSE OpenStack Cloud 9 venv-openstack-neutron Released
SUSE OpenStack Cloud 9 venv-openstack-nova Released
SUSE OpenStack Cloud Crowbar 8 grafana Released
SUSE OpenStack Cloud Crowbar 8 openstack-heat-templates Released
SUSE OpenStack Cloud Crowbar 8 openstack-murano Released
SUSE OpenStack Cloud Crowbar 8 openstack-murano-doc Released
SUSE OpenStack Cloud Crowbar 8 python-Django Released
SUSE OpenStack Cloud Crowbar 8 rabbitmq-server Released
SUSE OpenStack Cloud Crowbar 8 rubygem-puma Released
SUSE OpenStack Cloud Crowbar 9 grafana Released
SUSE OpenStack Cloud Crowbar 9 openstack-heat-templates Released
SUSE OpenStack Cloud Crowbar 9 openstack-horizon-plugin-gbp-ui Released
SUSE OpenStack Cloud Crowbar 9 openstack-neutron-gbp Released
SUSE OpenStack Cloud Crowbar 9 openstack-nova Released
SUSE OpenStack Cloud Crowbar 9 python-Django1 Released
SUSE OpenStack Cloud Crowbar 9 rabbitmq-server Released
SUSE OpenStack Cloud Crowbar 9 rubygem-puma Released


SUSE Timeline for this CVE

CVE page created: Thu Mar 31 06:00:17 2022
CVE page last modified: Wed Jan 25 01:39:57 2023